< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package wco
  Definition Classes
    hmrc
-  package dec
  Definition Classes
    wco
-  package status
  Definition Classes
    dec
- CodeListElementField
- CodeListElementFieldDeserializer
- DateTime
- DateTimeDeserializer
- Declaration
- DeclarationManagementInformationResponse
- ExtendedAttributeAndTextDeserializer
- Parties
- PartyIdentification
- Quantity
- QuantityDeserializer

o

uk.gov.hmrc.wco.dec.status

# DeclarationManagementInformationResponse 

###
Companion class DeclarationManagementInformationResponse

#### object DeclarationManagementInformationResponse extends JacksonMapper with Serializable

Linear Supertypes
Serializable, Serializable, JacksonMapper, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DeclarationManagementInformationResponse
2. Serializable
3. Serializable
4. JacksonMapper
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val _props: JavaPropsMapper
   Attributes
     protected
   Definition Classes
     JacksonMapper
5.  val _schema: JavaPropsSchema
   Attributes
     protected
   Definition Classes
     JacksonMapper
6.  val _xml: ObjectMapper
   Attributes
     protected
   Definition Classes
     JacksonMapper
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
12.  def fromXml(xml: String): DeclarationManagementInformationResponse
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from Serializable

### Inherited from JacksonMapper

### Inherited from AnyRef

### Inherited from Any

### Ungrouped